Update AI agent brief
PATCH
/v1/ai/agents/{agentID}/briefAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredRequest body
requiredapplication/jsonbusiness_contextstringescalation_policyobjectguardrailsobjectobjectivestringrequiredresponse_styleobjecttonestringResponses
200OK
agent_idstringrequiredbusiness_contextstringrequiredescalation_policyobjectrequiredguardrailsobjectrequiredobjectivestringrequiredresponse_styleobjectrequiredtonestringrequiredupdated_atstringrequiredupdated_bystring400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/ai/agents/string/brief" \
-H "Content-Type: application/json" \
-d '{
"business_context": "string",
"escalation_policy": {},
"guardrails": {},
"objective": "string",
"response_style": {},
"tone": "string"
}'const response = await fetch("/v1/ai/agents/string/brief", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"business_context": "string",
"escalation_policy": {},
"guardrails": {},
"objective": "string",
"response_style": {},
"tone": "string"
})
});import requests
response = requests.patch(
"/v1/ai/agents/string/brief",
headers={
"Content-Type": "application/json"
},
json={
"business_context": "string",
"escalation_policy": {},
"guardrails": {},
"objective": "string",
"response_style": {},
"tone": "string"
},
)Response
{
"agent_id": "string",
"business_context": "string",
"escalation_policy": {},
"guardrails": {},
"objective": "string",
"response_style": {},
"tone": "string",
"updated_at": "string",
"updated_by": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}